Bug 802797 - Human task does not disappear after deleting/terminating the process instance
Human task does not disappear after deleting/terminating the process instance
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM Console (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity high
: ER6
: BRMS 5.3.0.GA
Assigned To: Maciej Swiderski
Lukáš Petrovický
Depends On:
  Show dependency treegraph
Reported: 2012-03-13 10:21 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2012-03-13 10:21:32 EDT
Description of problem:
Human task does not disappear after deleting/terminating the process instance. It can still be completed.

Version-Release number of selected component (if applicable):
BRMS 5.3.0 ER4

How reproducible:

Steps to Reproduce:
1. Log into the console asi krisv.
2. Start an instance of Evaluation process form the jbpm sample repo, enter krisv as the user. 
3. Delete or terminate that same instance.
4. Go to Personal Tasks.

Actual results:
The human task, self evaluation, is available for completion.

Expected results:
No task available.
Comment 1 Maciej Swiderski 2012-03-19 16:39:18 EDT
Task is still available due to it is marked as not skippable (on bpmn2 definition). 

Suggested approach is to allow adminitrator to skip any task even these that are not marked as skippable to avoid of leaving task behing that are not connected to any process instance any more (since process instances can be deleted/terminated at any time).
Comment 2 Maciej Swiderski 2012-03-20 13:30:52 EDT
Pull request is available at https://github.com/droolsjbpm/jbpm/pull/60

introduces new method 'exit' that is used to close task in case it is not needed any more, like in case of terminate or delete of process instance. It is dedicated only to business administrators.
Comment 3 Ryan Zhang 2012-04-23 03:37:05 EDT
Update status to ON_QA. Please verify them against ER6.

Note You need to log in before you can comment on or make changes to this bug.